Package org.opensaml.saml.saml2.core

# Interface SubjectConfirmation

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `SubjectConfirmationImpl`

public interface SubjectConfirmation extends SAMLObject
SAML 2.0 Core SubjectConfirmation.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`METHOD_ATTRIB_NAME`
Method attribute name.
`static final String`
`METHOD_BEARER`
URI for the Bearer subject confirmation method, "urn:oasis:names:tc:SAML:2.0:cm:bearer".
`static final String`
`METHOD_HOLDER_OF_KEY`
URI for the Holder of Key subject confirmation method, "urn:oasis:names:tc:SAML:2.0:cm:holder-of-key".
`static final String`
`METHOD_SENDER_VOUCHES`
URI for the Sender Vouches subject confirmation method, "urn:oasis:names:tc:SAML:2.0:cm:sender-vouches".
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`BaseID`
`getBaseID()`
Gets the base identifier of the principal for this request.
`EncryptedID`
`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
`String`
`getMethod()`
Get the method used to confirm this subject.
`NameID`
`getNameID()`
Gets the name identifier of the principal for this request.
`SubjectConfirmationData`
`getSubjectConfirmationData()`
Gets the data about how this subject was confirmed or constraints on the confirmation.
`void`
`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
`setMethod(String newMethod)`
Sets the method used to confirm this subject.
`void`
`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
`setSubjectConfirmationData(SubjectConfirmationData newSubjectConfirmationData)`
Sets the data about how this subject was confirmed or constraints on the confirmation.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### METHOD_ATTRIB_NAME

@Nonnull @NotEmpty static final String METHOD_ATTRIB_NAME
Method attribute name.

See Also:
  - Constant Field Values

### METHOD_HOLDER_OF_KEY

@Nonnull @NotEmpty static final String METHOD_HOLDER_OF_KEY
URI for the Holder of Key subject confirmation method, "urn:oasis:names:tc:SAML:2.0:cm:holder-of-key".

See Also:
  - Constant Field Values

### METHOD_SENDER_VOUCHES

@Nonnull @NotEmpty static final String METHOD_SENDER_VOUCHES
URI for the Sender Vouches subject confirmation method, "urn:oasis:names:tc:SAML:2.0:cm:sender-vouches".

See Also:
  - Constant Field Values

### METHOD_BEARER

@Nonnull @NotEmpty static final String METHOD_BEARER
URI for the Bearer subject confirmation method, "urn:oasis:names:tc:SAML:2.0:cm:bearer".

See Also:
  - Constant Field Values

## Method Details

### getMethod

@Nullable String getMethod()
Get the method used to confirm this subject.

Returns:
  the method used to confirm this subject

### setMethod

void setMethod(@Nullable String newMethod)
Sets the method used to confirm this subject.

Parameters:
  `newMethod` - the method used to confirm this subject

### getBaseID

@Nullable BaseID getBaseID()
Gets the base identifier of the principal for this request.

Returns:
  the base identifier of the principal for this request

### setBaseID

void setBaseID(@Nullable BaseID newBaseID)
Sets the base identifier of the principal for this request.

Parameters:
  `newBaseID` - the base identifier of the principal for this request

### getNameID

@Nullable NameID getNameID()
Gets the name identifier of the principal for this request.

Returns:
  the name identifier of the principal for this request

### setNameID

void setNameID(@Nullable NameID newNameID)
Sets the name identifier of the principal for this request.

Parameters:
  `newNameID` - the name identifier of the principal for this request

### getEncryptedID

@Nullable EncryptedID getEncryptedID()
Gets the encrypted name identifier of the principal for this request.

Returns:
  the encrypted name identifier of the principal for this request

### setEncryptedID

void setEncryptedID(@Nullable EncryptedID newEncryptedID)
Sets the encrypted name identifier of the principal for this request.

Parameters:
  `newEncryptedID` - the new encrypted name identifier of the principal for this request

### getSubjectConfirmationData

@Nullable SubjectConfirmationData getSubjectConfirmationData()
Gets the data about how this subject was confirmed or constraints on the confirmation.

Returns:
  the data about how this subject was confirmed or constraints on the confirmation

### setSubjectConfirmationData

void setSubjectConfirmationData(@Nullable SubjectConfirmationData newSubjectConfirmationData)
Sets the data about how this subject was confirmed or constraints on the confirmation.

Parameters:
  `newSubjectConfirmationData` - the data about how this subject was confirmed or constraints on the confirmation